[![REUSE status](https://api.reuse.software/badge/github.com/SAP-samples/s4hana-ext-deploy-custom-ui)](https://api.reuse.software/info/github.com/SAP-samples/s4hana-ext-deploy-custom-ui)

# SAP S/4HANA Cloud Extensions - Deploy SAP Business Technology Platform  Fiori App to SAP S/4HANA Cloud
This repository contains the sample code for the [Develop a Custom UI on SAP Business Technology Platform and Deploy it to SAP S/4HANA Cloud tutorial](http://tiny.cc/s4-deploy-custom-ui).  

*This code is only one part of the tutorial, so please follow the tutorial before attempting to use this code.*

## Description

The [Develop a Custom UI on SAP Business Technology Platform and Deploy it to SAP S/4HANA Cloud tutorial](http://tiny.cc/s4-deploy-custom-ui) showcases an extension to an SAP S/4HANA Cloud system. The app uses a Custom Business Object to store ‘Equipment’ which can be booked by employees for temporary use. Within this Custom Business Object, equipment records can be maintained. This equipment may be handed over to your employees for temporary use. The temporary assignment of equipment is maintained in this Custom Business Object as well.

#### SAP Extensibility Explorer

This tutorial is one of multiple tutorials that make up the [SAP Extensibility Explorer](https://sap.com/extends4) for SAP S/4HANA Cloud.
SAP Extensibility Explorer is a central place where anyone involved in the extensibility process can gain insight into various types of extensibility options. At the heart of SAP Extensibility Explorer, there is a rich repository of sample scenarios which show, in a hands-on way, how to realize an extensibility requirement leveraging different extensibility patterns.


Requirements
-------------
- An account in SAP Business Technology Platform (BTP) with a subaccount in the Neo environment and SAP Web IDE Full Stack enabled.
- An SAP S/4HANA Cloud tenant. **This is a commercial paid product.**


Download and Installation
-------------
This repository is a part of the [Import and Test an SAP Fiori App](https://help.sap.com/viewer/841f379acd104dbf8685b3ad26e66af3/SHIP/en-US/e6c1af3ef559470b84fab32d09432454.html) step in the tutorial. Instruction for use are in that step.

To download this sample code, so that it can be used in the tutorial, [please download the zip file by clicking here](https://github.com/SAP-samples/s4hana-ext-deploy-custom-ui/releases/download/2019Q4/import-me-into-sap-web-ide.zip).  


Known issues
---------------------
There are no known major issues.

How to obtain support
---------------------
If you have issues with this sample, please open a report using [GitHub issues](https://github.com/SAP/s4hana-ext-deploy-custom-ui/issues).

License
-------
Copyright © 2024 SAP SE or an SAP affiliate company. All rights reserved.
This project is licensed under the Apache Software License, version 2.0 except as noted otherwise in the [LICENSE file](LICENSES/Apache-2.0.txt).
